Debian Bug report logs - #588946
RFP: wacom-source -- Wacom kernel driver in DKMS format

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Taylor LeMasurier-Wren <ripps818@gmail.com>

Date: Tue, 13 Jul 2010 17:30:04 UTC

Severity: wishlist

Merged with 588948

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Taylor LeMasurier-Wren" <ripps818@gmail.com>:
Bug#588946; Package wnpp. (Tue, 13 Jul 2010 17:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Taylor LeMasurier-Wren <ripps818@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "Taylor LeMasurier-Wren" <ripps818@gmail.com>. (Tue, 13 Jul 2010 17:30:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Taylor LeMasurier-Wren <ripps818@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: wacom-source -- Wacom kernel driver in DKMS format
Date: Tue, 13 Jul 2010 11:36:01 -0500
Package: wnpp
Severity: wishlist
Owner: "Taylor LeMasurier-Wren" <ripps818@gmail.com>


  Package name    : wacom-source
  Version         : 0.8.8
  Upstream Author : Ping Cheng <pingc@wacom.com>
  URL             : http://www.example.org/
  License         : GPL-2
  Programming Lang: C
  Description     : Wacom kernel driver in DKMS format

 This package builds an updated Wacom Kernel Module using
 DKMS. This replaces the out-of-date module included with the
 Kernel and rebuilds it whenever a new kernel is installed.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Taylor LeMasurier-Wren" <ripps818@gmail.com>:
Bug#588946; Package wnpp. (Tue, 13 Jul 2010 18:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Taylor LeMasurier-Wren" <ripps818@gmail.com>. (Tue, 13 Jul 2010 18:00:03 GMT) Full text and rfc822 format available.

Message #10 received at 588946@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Taylor LeMasurier-Wren <ripps818@gmail.com>, 588946@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#588946: ITP: wacom-source -- Wacom kernel driver in DKMS format
Date: Tue, 13 Jul 2010 18:56:04 +0100
[Message part 1 (text/plain, inline)]
On Tue, Jul 13, 2010 at 11:36:01 -0500, Taylor LeMasurier-Wren wrote:

> Package: wnpp
> Severity: wishlist
> Owner: "Taylor LeMasurier-Wren" <ripps818@gmail.com>
> 
> 
>   Package name    : wacom-source
>   Version         : 0.8.8
>   Upstream Author : Ping Cheng <pingc@wacom.com>
>   URL             : http://www.example.org/
>   License         : GPL-2
>   Programming Lang: C
>   Description     : Wacom kernel driver in DKMS format
> 
>  This package builds an updated Wacom Kernel Module using
>  DKMS. This replaces the out-of-date module included with the
>  Kernel and rebuilds it whenever a new kernel is installed.
> 
If the driver included in mainline is "out-of-date" then it should be
updated, not worked around by a separate package, IMO.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 588946 588948. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 13 Jul 2010 18:00:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Taylor LeMasurier-Wren" <ripps818@gmail.com>:
Bug#588946; Package wnpp. (Tue, 13 Jul 2010 18:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Taylor LeMasurier-Wren" <ripps818@gmail.com>. (Tue, 13 Jul 2010 18:06:05 GMT) Full text and rfc822 format available.

Message #17 received at 588946@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Taylor LeMasurier-Wren <ripps818@gmail.com>
Cc: debian-devel@lists.debian.org, 588946@bugs.debian.org
Subject: Re: Bug#588946: ITP: wacom-source -- Wacom kernel driver in DKMS format
Date: Tue, 13 Jul 2010 19:04:35 +0100
[Message part 1 (text/plain, inline)]
On Tue, Jul 13, 2010 at 13:00:33 -0500, Taylor LeMasurier-Wren wrote:

> I use Ubuntu, but have been having trouble getting any MOTU's or Ubuntu Devs
> to listen to me, so I made this package. If I can get this package into
> debian, than I can get it into Ubuntu, and than hopefully backported to
> Lucid.

So you're not only working around the kernel development process, you're
also working around the Ubuntu development process?  Way to go...

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Merged 588946 588948. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 13 Jul 2010 22:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Taylor LeMasurier-Wren" <ripps818@gmail.com>:
Bug#588946; Package wnpp. (Tue, 13 Jul 2010 23:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joerg Jaspert <joerg@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Taylor LeMasurier-Wren" <ripps818@gmail.com>. (Tue, 13 Jul 2010 23:09:11 GMT) Full text and rfc822 format available.

Message #24 received at 588946@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@debian.org>
To: Taylor LeMasurier-Wren <ripps818@gmail.com>
Cc: debian-devel@lists.debian.org, 588946@bugs.debian.org
Subject: Re: Bug#588946: ITP: wacom-source -- Wacom kernel driver in DKMS format
Date: Wed, 14 Jul 2010 01:07:58 +0200
>>   Package name    : wacom-source
>>   Version         : 0.8.8
>>   Upstream Author : Ping Cheng <pingc@wacom.com>
>>   License         : GPL-2
>>   Description     : Wacom kernel driver in DKMS format
>>  This package builds an updated Wacom Kernel Module using
>>  DKMS. This replaces the out-of-date module included with the
>>  Kernel and rebuilds it whenever a new kernel is installed.

Is there a reason why this isn't simply done inside the kernel? Either
upstream, or if that doesn't work out for whatever reason, inside the
debian kernel tree?

>> I use Ubuntu, but have been having trouble getting any MOTU's or Ubuntu Devs
>> to listen to me, so I made this package. If I can get this package into
>> debian, than I can get it into Ubuntu, and than hopefully backported to
>> Lucid.
> So you're not only working around the kernel development process, you're
> also working around the Ubuntu development process?  Way to go...

This is indeed a pretty bad reasoning to put something into
Debian. "They don't listen to me, lets force it down their throat this
way". I'm happy for any contribution to Debian, and I even much prefer
it going through Debian first and then move over to ubuntu, but this
looks like ignoring two existing sets of people.

-- 
bye, Joerg
>  I. What would you do if a package has no sane default configuration?
>     (There is *no* default configuration that works on most systems!)
   The best thing to do would be to add such a default configuration.
[... ARGS ...]




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Taylor LeMasurier-Wren" <ripps818@gmail.com>:
Bug#588946; Package wnpp. (Sat, 19 Feb 2011 17:20:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Taylor LeMasurier-Wren" <ripps818@gmail.com>. (Sat, 19 Feb 2011 17:20:12 GMT) Full text and rfc822 format available.

Message #29 received at 588946@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 588946@bugs.debian.org
Cc: control@bugs.debian.org
Subject: wacom-source: changing back from ITP to RFP
Date: Sat, 19 Feb 2011 17:08:14 +0000
retitle 588946 RFP: wacom-source -- Wacom kernel driver in DKMS format
noowner 588946
thanks

Hi,

This is an automatic email to change the status of wacom-source back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting wacom-source, please send a mail to
<control@bugs.debian.org> with:

 retitle 588946 ITP: wacom-source -- Wacom kernel driver in DKMS format
 owner 588946 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <588946@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: wacom-source -- Wacom kernel driver in DKMS format' from 'ITP: wacom-source -- Wacom kernel driver in DKMS format' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:22:59 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "Taylor LeMasurier-Wren" <ripps818@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Sat, 19 Feb 2011 17:23:00 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#588946; Package wnpp. (Sat, 28 Dec 2013 17:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron <ron@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 28 Dec 2013 17:24:04 GMT) Full text and rfc822 format available.

Message #38 received at 588946@bugs.debian.org (full text, mbox):

From: Ron <ron@debian.org>
To: 588946@bugs.debian.org
Subject: Re: Bug#588946: ITP: wacom-source -- Wacom kernel driver in DKMS format
Date: Sun, 29 Dec 2013 03:44:04 +1030
 To whoever might read this far into this bug report,

Since somebody has asked again about doing this in #d-d today,
despite all the reasons already recorded here for not doing it,
here's some more context for the next person who may be tempted
down this path ...

More than a decade ago, we did have a separate package in the distro
for the wacom kernel modules.  More than half a decade ago, it was
removed from the distro again since it had become fairly convincingly
unnecessary [1], and in fact had become actively harmful, since people
who didn't need it at all were confused into thinking they did, even
when it was the thing that was actually most out of date.

When the X driver and tools were later split from the rest of the
upstream source we even stopped shipping the kernel code as a build
it yourself thing in the source.  Mostly because upstream had become
very active with getting new changes directly into the mainline kernel
and new devices were generally only ever a matter of weeks away from
being supported there after the code for them existed.

I'm not aware of that close collaboration having broken down, so there
really isn't any reason at all to re-add a package to the distro that
nobody will care about just a couple of weeks after they add it.  If
you you have shiny new hardware that isn't supported yet, go and work
through the normal channels to get it mainlined.  That's the best and
fastest way to get what you Really Want here.


I'd close this bug, but someone will just open another one, so it's
probably best to keep this recorded on the off chance they might see
it and be enlightened.  You should consider it flagged "Don't fix" :)

  hth,
  Ron


[1] http://bugs.debian.org/434935




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:02:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.